##### Views

- Page
- Discussion
- View source
- History

# love.sound.newDecoder

Attempts to find a decoder for the encoded sound data in the specified file.

## Function

### Synopsis

decoder = love.sound.newDecoder( file, buffer )

### Arguments

`File file`
  The file with encoded sound data.
`number buffer (2048)`
  The size of each decoded chunk, in bytes.

### Returns

`Decoder decoder`
  A new Decoder object.

## Function

### Synopsis

decoder = love.sound.newDecoder( filename, buffer )

### Arguments

`string filename`
  The filename of the file with encoded sound data.
`number buffer (2048)`
  The size of each decoded chunk, in bytes.

### Returns

`Decoder decoder`
  A new Decoder object.

## Function

Removed in LÖVE 0.7.1
This variant is not supported in that and later versions.

### Synopsis

decoder = love.sound.newDecoder( file, buffer, rate )

### Arguments

`File file`
  The file with encoded sound data.
`number buffer (2048)`
  The size of each decoded chunk, in bytes.
`number rate (44100)`
  Samples per second, or quality of the audio. Use either 44100 (good), 22050 (medium) or 11025 (poor).

### Returns

`Decoder decoder`
  A new Decoder object.

## Function

Removed in LÖVE 0.7.1
This variant is not supported in that and later versions.

### Synopsis

decoder = love.sound.newDecoder( filename, buffer, rate )

### Arguments

`string filename`
  The filename of the file with encoded sound data.
`number buffer (2048)`
  The size of each decoded chunk, in bytes.
`number rate (44100)`
  Samples per second, or quality of the audio. Use either 44100 (good), 22050 (medium) or 11025 (poor).

### Returns

`Decoder decoder`
  A new Decoder object.

## See Also

- love.sound
- Decoder

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.sound.newDecoder"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties